/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package br.com.topologica.parse;

import br.com.topologica.vo.EnumGps;
import br.com.topologica.vo.Vehicle;
import java.util.Date;
import java.util.StringTokenizer;
import java.util.Vector;

/**
 *
 * @author 
 */
public class GpsParse {

    

     private double latitude ;
     private  double longitude ;
     private  double speed ;
     private  Date date ;

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public double getSpeed() {
        return speed;
    }

    public void setSpeed(double speed) {
        this.speed = speed;
    }

     public void executeParse( String dadoGPS,Vehicle vehicle){

        String[] arrParameters=  dadoGPS.split(" ");
        

        long timemili = Long.parseLong(arrParameters[EnumGps.TIMESTAMP.ordinal()].substring(0, 10));
        double eph,  centerLat, centerLng, angulo;
        Vector<double[]> previousposition = new Vector<double[]>();
        timemili++; //arredondar (tempo em sec)
        timemili -= 7200; //-2 horas de greenwitch
        timemili *= 1000; //em milisec
         date = new Date((long) timemili);
        
        
        latitude = Double.parseDouble(arrParameters[EnumGps.LATITUDE.ordinal()]);
        longitude = Double.parseDouble(arrParameters[EnumGps.LONGITUDE.ordinal()]);
        speed = Double.parseDouble(arrParameters[EnumGps.SPEED_OVER_GROUND.ordinal()]);
//        vehicle.setLatitude(latitude);
//        vehicle.setLongitude(latitude);
        vehicle.setSpeed(speed);
        vehicle.setDate(date);
        vehicle.setAltitude(arrParameters[EnumGps.ALTITUDE.ordinal()]);

     }
    public double getLatitude() {
        return latitude;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public double getLongitude() {
        return longitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

}
